<%@ page language="java" import="java.util.*" pageEncoding="utf-8"%>
<jsp:include flush="true" page="error.jsp"/>
<%@ include file="header.jsp"%>
<%@ taglib uri="/struts-tags" prefix="s" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
      <jsp:include page="cssoa.jsp"></jsp:include>
    <title></title>
 

  </head>
  <body>
  <%@ include file="menuoperate.jsp"%>
  <form name="log4j" method="post" action="">
  <input name="method" type="hidden" value="<s:property value='#parameters.method[0]'/>"/>
  <input name="myzd_id" type="hidden" value="<s:property value='#parameters.myzd_id[0]'/>"/>
  <input name="pageNo" type="hidden" value="<s:property value='#parameters.pageNo'/>"/>
  <input name="pageSize" type="hidden" value="<s:property value='#parameters.pageSize'/>"/>
  <table width="800" border="0" cellpadding="0" cellspacing="1" bgcolor="#999999">
    <tr bgcolor="#c0c0c0" class="clickable_t">
      <td align="left" colspan="2">&nbsp;&nbsp;业务操作日志--详细</td>
    </tr>
    <tr bgcolor="#ffffff">
      <td width="62" align="center">操作人ID</td>
      <td width="615">
       <input name="FIELD_USER" type="text" <s:if test='#parameters.method[0]=="update"'>readonly style="background:#c0c0c0;"</s:if>  
       value="<s:property value="editdata['USEREMID']"/>/<s:property value="editdata['USERNAME']"/>"/>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td align="center">操作人IP</td>
      <td>
       <input name="FIELD_IP" type="text" maxlength="50" style="width:500px;" value="<s:property value="editdata['IP']"/>"/>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td align="center">操作模块</td>
      <td>
        <input name="FIELD_MODULES" type="text" maxlength="50" style="width:500px;" value="<s:property value="editdata['MODULES']"/>"/>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td align="center">操作时间</td>
      <td>
        <input name="FIELD_OPETIME" type="text" maxlength="50" style="width:500px;" value="<s:date name="editdata['OPETIME']" format="yyyy-MM-dd"/>"/>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td align="center">操作描述</td>
      <td>
        <input name="FIELD_DESCRIPTION" type="text" maxlength="50" style="width:500px;" value="<s:property value="editdata['DESCRIPTION']"/>"/>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td align="center">记录ID</td>
      <td>
        <input name="FIELD_RECORDID" type="text" maxlength="50" style="width:500px;" value="<s:property value="editdata['RECORDID']"/>"/>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td align="center">ID描述</td>
      <td>
        <input name="FIELD_RECORDNAME" type="text" maxlength="50" style="width:500px;" value="<s:property value="editdata['RECORDNAME']"/>"/>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td align="center" valign="top">操作内容</td>
      <td>
       <textarea name="FIELD_OPE" cols="90" rows="50"><s:property value="editdata['OPE']"/></textarea>
      </td>
    </tr>
  </table>
  </form>
  </body>
  <script type="text/javascript">
    document.getElementById("g_list").style.display='none';
    document.getElementById("g_password").style.display='none';
    document.getElementById("g_add").style.display='none';
    document.getElementById("g_open").style.display='none';
    document.getElementById("g_copy").style.display='none';
    document.getElementById("g_delete").style.display='none';
    document.getElementById("g_preview").style.display='none';
    document.getElementById("g_taoda").style.display='none';
    document.getElementById("g_refresh").style.display='none';
    document.getElementById("g_save").style.display='none';
    document.getElementById("g_return").style.display='none';
    document.getElementById("g_groupCmodule").style.display='none';
            document.getElementById("g_groupCuser").style.display='none';
            document.getElementById("g_userCuser").style.display='none';
    var ls_code;
    var ls_old,ls_new
    var page="<s:property value='pageNo'/>";
    var pageSize="<s:property value='pageSize'/>";
    function ls_choice(ls_current){
     if(ls_old!=null){
       ls_old.checked=false;
     }
     ls_new = document.getElementById(ls_current);
     ls_new.checked=true;
     ls_old = ls_new;
    }
    
    function g_preview(){
      alert("预览!");
    }
    
    function g_save(){
     document.all.item('depart').submit();
    }
    function g_return(){
     window.location="grid_logBusiness?pageNo="+page+"&pageSize="+pageSize;
    }
    function cknum(pname){
	 var ck=document.all.item(pname).value;
	 var ck_gz=new RegExp("^[0-9]*$");
	 if(ck_gz.test(ck)==false){
	  alert('请输入数字!');
	  document.all.item(pname).focus();
	  document.all.item(pname).value='';
	  return false;
	 }
	 else 
	  return true;
}
  </script>
</html>
